/**
 * @see https://umijs.org/zh-CN/plugins/plugin-access
 * */
export default function access(initialState: { account?: Account } | undefined) {
  const { account } = initialState ?? {};
  // 角色 (管理员=admin、运营商=operator、电站=station、客户=customer、司机=driver）
  return {
    canRoot: account?.role === 'root',
    canAdmin: account?.role === 'admin',
    canOperator: account?.role === 'operator',
    canStation: account?.role === 'station',
    canCustomer: account?.role === 'customer',
    canDriver: account?.role === 'driver',
    canCommon: account?.role === 'admin' || account?.role === 'operator',
    canDashboard:
      account?.role === 'admin' ||
      account?.role === 'operator' ||
      account?.role === 'station' ||
      account?.role === 'customer',
  };
}
