import { FullscreenExitOutlined, FullscreenOutlined } from '@ant-design/icons';
import { Tooltip } from 'antd';
import { useState } from 'react';
import styles from './index.less';

export const FullScreen = () => {
  const [flag, setFlag] = useState(document.fullscreenElement !== null);

  const onChange = () => {
    if (document.fullscreenElement !== null) {
      document.exitFullscreen();
      setFlag(false);
    } else {
      document.documentElement.requestFullscreen();
      setFlag(true);
    }
  };

  return flag ? (
    <Tooltip title="退出全屏">
      <span className={styles.operate}>
        <a style={{ display: 'flex', alignItems: 'center', padding: '0 10px' }} onClick={onChange}>
          <FullscreenExitOutlined style={{ fontSize: 18 }} />
        </a>
      </span>
    </Tooltip>
  ) : (
    <Tooltip title="全屏">
      <span className={styles.operate}>
        <a style={{ display: 'flex', alignItems: 'center', padding: '0 10px' }} onClick={onChange}>
          <FullscreenOutlined style={{ fontSize: 18 }} />
        </a>
      </span>
    </Tooltip>
  );
};
