import { history } from 'umi';
import defaultSettings from '../../../config/defaultSettings';
import styles from './index.less';

export const LinkGoohier = ({ showName, jumpWeb }: { showName?: boolean; jumpWeb?: boolean }) => {
  return (
    <span className={styles.normal}>
      <span
        style={{ display: 'flex', alignItems: 'center', cursor: 'pointer', marginRight: 10 }}
        onClick={() => {
          if (jumpWeb) history.push('/');
        }}
      >
        <img src={defaultSettings.logo} width={32} height={32} />
        {showName && (
          <span style={{ fontSize: 18, fontWeight: 'bold', marginLeft: 10 }}>
            <a>{defaultSettings.title}</a>
          </span>
        )}
      </span>
    </span>
  );
};
