import { getThemeStyle, setThemeStyle } from '@/utils/preference';
import { SkinFilled, SkinOutlined } from '@ant-design/icons';
import { Tooltip } from 'antd';
import { useState } from 'react';
import styles from './index.less';

export const ThemeStyle = () => {
  const [flag, setFlag] = useState('default' === getThemeStyle());

  const onChange = () => {
    if ('default' === getThemeStyle()) {
      setThemeStyle('dark');
      setFlag(false);
    } else {
      setThemeStyle('default');
      setFlag(true);
    }
    location.reload();
  };

  return flag ? (
    <Tooltip title="暗色">
      <span className={styles.operate}>
        <a style={{ display: 'flex', alignItems: 'center', padding: '0 10px' }} onClick={onChange}>
          <SkinFilled style={{ fontSize: 18 }} />
        </a>
      </span>
    </Tooltip>
  ) : (
    <Tooltip title="亮色">
      <span className={styles.operate}>
        <a style={{ display: 'flex', alignItems: 'center', padding: '0 10px' }} onClick={onChange}>
          <SkinOutlined style={{ fontSize: 18 }} />
        </a>
      </span>
    </Tooltip>
  );
};
