import { dictListService } from '@/services';
import { useEffect, useState } from 'react';
import { useModel } from 'umi';

export default () => {
  const { initialState } = useModel('@@initialState');
  const [list, setList] = useState<any>([]);

  useEffect(() => {
    async function fetchData() {
      if (initialState?.account?.id) {
        const result = await dictListService();
        setList(result?.data ?? []);
      }
    }
    fetchData();
  }, [initialState?.account?.id]);

  const getDict = (category: string) => {
    return list.filter((value: { category: string }) => value.category === category);
  };

  return { getDict };
};
