import { vehiclePageService } from '@/pages/operator/Vehicle/service';
import { useAccount } from '@/utils/hooks';
import { PageContainer } from '@ant-design/pro-layout';
import type { ActionType, ProColumns } from '@ant-design/pro-table';
import ProTable from '@ant-design/pro-table';
import { useRef } from 'react';

const Page = () => {
  const { account } = useAccount();

  const actionRef = useRef<ActionType>();
  const columns: ProColumns<any>[] = [
    {
      title: '车辆编号',
      dataIndex: 'code',
      width: 200,
    },
    {
      title: '车辆位置',
      dataIndex: 'location',
      tooltip: '车辆的经纬度坐标',
      hideInSearch: true,
      width: 200,
    },
    {
      title: '创建时间',
      dataIndex: 'createAt',
      sorter: true,
      hideInSearch: true,
      width: 200,
    },
  ];
  return (
    <PageContainer breadcrumbRender={false}>
      <ProTable
        headerTitle="车辆列表"
        rowKey="id"
        actionRef={actionRef}
        // search={false}
        columns={columns}
        request={async (params, sort) => {
          const { data } = await vehiclePageService({ ...params, sort });
          return { data: data?.list, total: data?.total };
        }}
        params={{ cid: account?.cid, tid: account?.tid }}
      />
    </PageContainer>
  );
};

export default Page;
