import { Pie } from '@ant-design/charts';
import { ProCard } from '@ant-design/pro-components';
import { useEffect, useState } from 'react';
import { adminAbnormalService } from './service';
import { getThemeStyle } from '@/utils/preference';

const AdminAbnormal = ({ height, refresh }: any) => {
  const [data, setData] = useState([]);

  useEffect(() => {
    const fetchData = async () => {
      const result = await adminAbnormalService({});
      setData(result);
    };
    fetchData();
  }, [refresh]);

  const config: any = {
    theme: getThemeStyle(),
    data,
    angleField: 'value',
    colorField: 'name',
    radius: 0.95,
    innerRadius: 0.5,
    label: {
      type: 'inner',
      autoRotate: false,
      offset: '-50%',
      position: 'middle',
      style: {
        fontSize: 16,
        textAlign: 'center',
      },
    },
    statistic: {
      title: false,
    },
  };

  return (
    <ProCard
      title={<span style={{ fontSize: 18, fontWeight: 'bolder' }}>实时异常告警</span>}
      style={{ height }}
    >
      <Pie {...config} />
    </ProCard>
  );
};

export default AdminAbnormal;
