import { Column } from '@ant-design/charts';
import { DatePicker } from 'antd';
import { ProCard } from '@ant-design/pro-components';
import moment from 'moment';
import { useEffect, useState } from 'react';
import { adminContrastService } from './service';
import { getThemeStyle } from '@/utils/preference';

const AdminContrast = ({ height, refresh }: any) => {
  const [date, setDate] = useState(moment().format('YYYY-MM-DD HH:mm:ss'));

  const [data, setData] = useState([]);

  useEffect(() => {
    const fetchData = async () => {
      const result = await adminContrastService({ date });
      setData(result);
    };
    fetchData();
  }, [date, refresh]);

  const config: any = {
    theme: getThemeStyle(),
    data,
    xField: 'date',
    yField: 'value',
    seriesField: 'name',
    isStack: true,
    legend: {
      position: 'top',
    },
  };

  return (
    <ProCard
      title={<span style={{ fontSize: 18, fontWeight: 'bolder' }}>充电量和换电量对比</span>}
      style={{ height }}
      extra={
        <DatePicker
          picker="month"
          defaultValue={moment()}
          onChange={(_value: any, dateString: any) => setDate(dateString + '-01')}
        />
      }
    >
      <Column {...config} />
    </ProCard>
  );
};

export default AdminContrast;
