import { ProCard, StatisticCard } from '@ant-design/pro-components';
import { useEffect, useState } from 'react';
import { adminHeaderService } from './service';

const AdminHeader = ({ height, refresh }: any) => {
  const [data, setData] = useState<any[]>([]);

  useEffect(() => {
    const fetchData = async () => {
      const result = await adminHeaderService({});
      setData(result);
    };
    fetchData();
  }, [refresh]);

  return (
    <ProCard style={{ height }}>
      <StatisticCard.Group style={{ marginTop: -16 }}>
        <StatisticCard
          statistic={{
            title: '电池总数',
            value: data?.find((item: any) => item?.type === 'battery')?.value,
            suffix: '块',
          }}
        />
        <StatisticCard
          statistic={{
            title: '设备总数',
            value: data?.find((item: any) => item?.type === 'device')?.value,
            suffix: '台',
          }}
        />
        <StatisticCard
          statistic={{
            title: '异常设备',
            value: data?.find((item: any) => item?.type === 'error')?.value,
            suffix: '台',
          }}
        />
        <StatisticCard
          statistic={{
            title: '换电机器人',
            value: data?.find((item: any) => item?.type === 'robot')?.value,
          }}
        />
        <StatisticCard
          statistic={{
            title: '充电机组',
            value: data?.find((item: any) => item?.type === 'power')?.value,
          }}
        />
        <StatisticCard
          statistic={{
            title: '充电桩',
            value: data?.find((item: any) => item?.type === 'charge')?.value,
          }}
        />
      </StatisticCard.Group>
    </ProCard>
  );
};

export default AdminHeader;
