import type { ProColumns } from '@ant-design/pro-components';
import { ProCard, ProTable } from '@ant-design/pro-components';
import { useEffect, useState } from 'react';
import { adminLevelService } from './service';

const AdminLevel = ({ height, refresh }: any) => {
  const [data, setData] = useState([]);

  useEffect(() => {
    const fetchData = async () => {
      const result = await adminLevelService({});
      setData(result);
    };
    fetchData();
  }, [refresh]);

  const columns: ProColumns<any>[] = [
    {
      title: '序号',
      dataIndex: 'index',
      valueType: 'indexBorder',
    },
    {
      title: '名称',
      dataIndex: 'name',
    },

    {
      title: '电量',
      dataIndex: 'value',
      valueType: 'digit',
    },
  ];

  return (
    <ProCard
      title={<span style={{ fontSize: 18, fontWeight: 'bolder' }}>电站用电量排名</span>}
      style={{ height }}
    >
      <ProTable
        size="small"
        columns={columns}
        dataSource={data}
        rowKey="name"
        toolBarRender={false}
        search={false}
        pagination={false}
      />
    </ProCard>
  );
};

export default AdminLevel;
