import { Bar } from '@ant-design/charts';
import { ProCard } from '@ant-design/pro-components';
import { useEffect, useState } from 'react';
import { adminVehicleService } from './service';
import { getThemeStyle } from '@/utils/preference';

const AdminVehicle = ({ height, refresh }: any) => {
  const [data, setData] = useState([]);

  useEffect(() => {
    const fetchData = async () => {
      const result = await adminVehicleService({});
      setData(result);
    };
    fetchData();
  }, [refresh]);

  const config: any = {
    theme: getThemeStyle(),
    data,
    xField: 'value',
    yField: 'name',
    seriesField: 'name',
    legend: false,
  };

  return (
    <ProCard
      title={<span style={{ fontSize: 18, fontWeight: 'bolder' }}>入网车辆排名</span>}
      style={{ height }}
    >
      <Bar {...config} />
    </ProCard>
  );
};

export default AdminVehicle;
