import { Row, Col } from 'antd';
import CustomerAmount from './CustomerAmount';
import CustomerExtremum from './CustomerExtremum';
import CustomerDaily from './CustomerDaily';
import CustomerMonthly from './CustomerMonthly';
import CustomerFluctuate from './CustomerFluctuate';
import CustomerGradient from './CustomerGradient';
import { useAccount } from '@/utils/hooks';
import { useState } from 'react';

const Page = () => {
  const { account } = useAccount();
  const [height, setHeight] = useState(window.innerHeight);

  window.onresize = () => {
    setHeight(window.innerHeight);
  };

  const getCurrentHeight = () => {
    return height - 56 - 48 - 32 < 930 ? 930 : height - 56 - 48 - 32;
  };

  const getHeight = () => {
    return getCurrentHeight() / 3;
  };

  return (
    <div>
      <Row gutter={[16, 16]}>
        <Col span={12}>
          <CustomerAmount height={getHeight()} />
        </Col>
        <Col span={12}>
          <CustomerExtremum height={getHeight()} />
        </Col>
        <Col span={12}>
          <CustomerDaily height={getHeight()} />
        </Col>
        <Col span={12}>
          <CustomerMonthly height={getHeight()} />
        </Col>
        <Col span={12}>
          <CustomerFluctuate height={getHeight()} />
        </Col>
        <Col span={12}>
          <CustomerGradient tid={account?.tid} cid={account?.cid} name="" height={getHeight()} />
        </Col>
      </Row>
    </div>
  );
};

export default Page;
