import { Row, Col } from 'antd';
import StationAmount from './StationAmount';
import StationTrend from './StationTrend';
import StationCumulative from './StationCumulative';
import StationAlarm from './StationAlarm';
import StationPower from './StationPower';
import StationTime from './StationTime';
import StationFrequency from './StationFrequency';
import StationQuantity from './StationQuantity';
import { useState } from 'react';

const Page = () => {
  const [height, setHeight] = useState(window.innerHeight);

  window.onresize = () => {
    setHeight(window.innerHeight);
  };

  const getCurrentHeight = () => {
    return height - 56 - 48 - 32 < 1320 ? 1320 : height - 56 - 48 - 32;
  };

  const getHeight = () => {
    return getCurrentHeight() / 4;
  };

  return (
    <div>
      <Row gutter={[16, 16]}>
        <Col span={12}>
          <StationAmount height={getHeight()} />
        </Col>
        <Col span={12}>
          <StationTrend height={getHeight()} />
        </Col>
        <Col span={16}>
          <StationPower height={getHeight()} />
        </Col>
        <Col span={8}>
          <StationCumulative height={getHeight()} />
        </Col>
        <Col span={16}>
          <StationTime height={getHeight()} />
        </Col>
        <Col span={8}>
          <StationAlarm height={getHeight()} />
        </Col>
        <Col span={12}>
          <StationFrequency height={getHeight()} />
        </Col>
        <Col span={12}>
          <StationQuantity height={getHeight()} />
        </Col>
      </Row>
    </div>
  );
};

export default Page;
