import { useAccess } from '@umijs/max';
import NoAccessPage from '../403';
import Admin from './Admin';
import Customer from './Customer';
import Driver from './Driver';
import Operator from './Operator';
import Station from './Station';

const Page = () => {
  const access = useAccess();
  if (access.canAdmin) return <Admin />;
  if (access.canOperator) return <Operator />;
  if (access.canStation) return <Station />;
  if (access.canCustomer) return <Customer />;
  if (access.canDriver) return <Driver />;
  return <NoAccessPage />;
};

export default Page;
