import { Form, InputNumber, Modal } from 'antd';
import { priceAddService } from './service';

const DialogAdd = ({ visible, current, onCancel, onOk }: any) => {
  const [form] = Form.useForm();
  const initialValues = { ...current };

  const handleSubmit = async () => {
    const values = await form.validateFields();
    const params = { ...current, ...values };
    const result = await priceAddService(params);
    if (result?.success) onOk();
  };

  return (
    <Modal
      destroyOnClose
      title="设置电网电价"
      open={visible}
      onCancel={onCancel}
      onOk={handleSubmit}
    >
      <Form layout="vertical" form={form} initialValues={initialValues}>
        <Form.Item
          label="当前电网电价"
          name="unit"
          rules={[{ required: true, message: '当前电网电价必填' }]}
        >
          <InputNumber placeholder="请输入" style={{ width: '100%' }} />
        </Form.Item>
      </Form>
    </Modal>
  );
};

export default DialogAdd;
