import { useAccount } from '@/utils/hooks';
import { PageContainer } from '@ant-design/pro-layout';
import { useEffect, useState } from 'react';
import Rule from './Rule';
import { ruleOneService } from './service';

const Page = () => {
  const { account } = useAccount();
  const [loading, setLoading] = useState(true);
  const [refresh, setRefresh] = useState(true);

  const [flag, setFlag] = useState(true);
  const [current, setCurrent] = useState<any>();

  useEffect(() => {
    const fetchData = async () => {
      setLoading(true);
      const result = await ruleOneService({ plan: 'operator', tid: account?.tid });
      if (result?.data) {
        setFlag(false);
      } else {
        setFlag(true);
      }
      setCurrent({ ...result?.data, plan: 'operator', tid: account?.tid });
      setLoading(false);
    };
    fetchData();
  }, [account?.tid, refresh]);

  return (
    <PageContainer
      loading={loading}
      breadcrumbRender={false}
      title="计费规则"
      subTitle="运营商规则"
    >
      <Rule type="operator" flag={flag} current={current} onRefresh={() => setRefresh(!refresh)} />
    </PageContainer>
  );
};

export default Page;
