import { useAccount } from '@/utils/hooks';
import { PageContainer } from '@ant-design/pro-layout';
import type { ActionType, ProColumns } from '@ant-design/pro-table';
import ProTable from '@ant-design/pro-table';
import { useRef } from 'react';
import { alarmPageService } from './service';

const Page = () => {
  const { account } = useAccount();

  const actionRef = useRef<ActionType>();
  const columns: ProColumns<any>[] = [
    {
      title: '设备编号',
      dataIndex: 'code',
      width: 200,
    },
    {
      title: '故障代码',
      dataIndex: 'fault',
      width: 200,
    },
    {
      title: '故障等级',
      dataIndex: 'grade',
      width: 200,
    },
    {
      title: '告警时间',
      dataIndex: 'start',
      sorter: true,
      hideInSearch: true,
      width: 200,
    },
    {
      title: '关闭时间',
      dataIndex: 'finish',
      sorter: true,
      hideInSearch: true,
      width: 200,
    },
  ];
  return (
    <PageContainer breadcrumbRender={false}>
      <ProTable
        headerTitle="告警列表"
        rowKey="id"
        actionRef={actionRef}
        // search={false}
        columns={columns}
        request={async (params, sort) => {
          const { data } = await alarmPageService({ ...params, sort });
          return { data: data?.list, total: data?.total };
        }}
        params={{ sid: account?.sid, tid: account?.tid }}
      />
    </PageContainer>
  );
};

export default Page;
