import { useAccount } from '@/utils/hooks';
import { PageContainer } from '@ant-design/pro-layout';
import type { ActionType, ProColumns } from '@ant-design/pro-table';
import ProTable from '@ant-design/pro-table';
import { useRef } from 'react';
import { powerPageService } from './service';

const Page = () => {
  const { account } = useAccount();

  const actionRef = useRef<ActionType>();
  const columns: ProColumns<any>[] = [
    {
      title: '设备编号',
      dataIndex: 'code',
      width: 200,
    },
    {
      title: '电池编号',
      dataIndex: 'battery',
      width: 200,
    },
    {
      title: '充电电量',
      dataIndex: 'level',
      width: 200,
    },
    {
      title: '开始时间',
      dataIndex: 'start',
      sorter: true,
      hideInSearch: true,
      width: 200,
    },
    {
      title: '完成时间',
      dataIndex: 'finish',
      sorter: true,
      hideInSearch: true,
      width: 200,
    },
  ];
  return (
    <PageContainer breadcrumbRender={false}>
      <ProTable
        headerTitle="充电记录"
        rowKey="id"
        actionRef={actionRef}
        // search={false}
        columns={columns}
        request={async (params, sort) => {
          const { data } = await powerPageService({ ...params, sort });
          return { data: data?.list, total: data?.total };
        }}
        params={{ sid: account?.sid, status: 'finish', tid: account?.tid }}
      />
    </PageContainer>
  );
};

export default Page;
