import { Form, Input, message, Modal } from 'antd';
import { userChangeNameService } from './service';

const ChangeName = ({ visible, current, onCancel, onOk }: any) => {
  const [form] = Form.useForm();
  const initialValues = { ...current };

  const handleSubmit = async () => {
    const values = await form.validateFields();
    const params = { ...current, ...values };
    const result = await userChangeNameService(params);
    if (result?.success) {
      onOk();
    } else {
      message.error('修改失败');
    }
  };

  return (
    <Modal destroyOnClose title="修改姓名" open={visible} onCancel={onCancel} onOk={handleSubmit}>
      <Form layout="vertical" form={form} initialValues={initialValues}>
        <Form.Item label="姓名" name="name" rules={[{ required: true, message: '姓名必填' }]}>
          <Input placeholder="请输入" allowClear />
        </Form.Item>
      </Form>
    </Modal>
  );
};

export default ChangeName;
