import { Form, Input, message, Modal } from 'antd';
import { userChangePhoneService } from './service';

const ChangePhone = ({ visible, current, onCancel, onOk }: any) => {
  const [form] = Form.useForm();
  const initialValues = { ...current };

  const handleSubmit = async () => {
    const values = await form.validateFields();
    const params = { ...current, ...values };
    const result = await userChangePhoneService(params);
    if (result?.success) {
      onOk();
    } else {
      message.error('修改失败');
    }
  };

  return (
    <Modal destroyOnClose title="修改手机" open={visible} onCancel={onCancel} onOk={handleSubmit}>
      <Form layout="vertical" form={form} initialValues={initialValues}>
        <Form.Item
          label="手机"
          name="phone"
          rules={[
            { required: true, message: '手机必填' },
            { pattern: /^1\d{10}$/, message: '手机格式错误' },
          ]}
        >
          <Input placeholder="请输入" allowClear />
        </Form.Item>
      </Form>
    </Modal>
  );
};

export default ChangePhone;
