import { useAccount } from '@/utils/hooks';
import { Space } from 'antd';
import { useState } from 'react';
import ChangePassword from './ChangePassword';

const Security = () => {
  const { account } = useAccount();

  const [visiblePassword, setVisiblePassword] = useState(false);

  return (
    <div>
      <div>
        <Space size="middle">
          <span>修改密码 :</span>
          <a onClick={() => setVisiblePassword(true)}>******</a>
        </Space>
      </div>
      {visiblePassword && (
        <ChangePassword
          visible={visiblePassword}
          current={{ id: account?.id }}
          onCancel={() => setVisiblePassword(false)}
          onOk={() => {
            setVisiblePassword(false);
          }}
        />
      )}
    </div>
  );
};

export default Security;
