import { useModel } from 'umi';

export default function useDict(category: string) {
  const { getDict } = useModel('dict');
  return getDict(category);
}

export function useDictEnum(category: any) {
  const dicts = useDict(category);
  const result = {};
  dicts?.forEach((item: any) => {
    result[item?.code] = { text: item.name, status: item.status };
  });
  return result;
}

export function useDictSelect(category: any) {
  const dicts = useDict(category);
  const result = dicts?.map((item: any) => {
    return { value: item.code, label: item.name };
  });
  return result;
}
