import { flushSync } from 'react-dom';
import { useModel } from 'umi';

export function useAccount() {
  const { initialState, setInitialState } = useModel('@@initialState');
  const account = initialState?.account;
  const setAccount = (current: any) => {
    setInitialState((initial) => ({ ...initial, account: current }));
  };
  const queryAccount = async () => {
    const current = await initialState?.fetchCurrent?.();
    // await setInitialState((initial) => ({ ...initial, account: current }));
    flushSync(() => {
      setInitialState((initial) => ({ ...initial, account: current }));
    });
  };
  return { account, setAccount, queryAccount };
}
