import { enable, setFetchMethod, disable } from '@umijs/ssr-darkreader';
import { ConfigProvider } from 'antd';
import defaultSettings from '../../config/defaultSettings';

const theme_style = 'mukuit_preference_theme_style';

export function getThemeStyle() {
  const style = localStorage.getItem(theme_style);
  return style === 'dark' ? 'dark' : 'default';
}

export function setThemeStyle(style: string) {
  if (style === 'dark') {
    setFetchMethod(window.fetch);
    enable({});
  } else {
    disable();
  }
  localStorage.setItem(theme_style, style);
}

export function initialStyle() {
  const style = getThemeStyle();
  setThemeStyle(style);
}

export function initialColor() {
  ConfigProvider.config({
    theme: {
      primaryColor: defaultSettings.primaryColor,
    },
  });
}
