export function listToTree(arr: any[], pid = undefined): any[] {
  const tree = arr
    .filter((item) => item.pid === pid)
    .map((item) => ({
      ...item,
      children: listToTree(arr, item.id),
    }));
  return tree;
}

export function treeToList(tree: any[], arr: any[] = []): any[] {
  tree.forEach((item) => {
    const { children, ...obj } = item;
    arr.push(obj);
    if (children?.length > 0) {
      treeToList(children, arr);
    }
  });
  return arr;
}

export function treeParentKeys(arr: any[], id: any, parentKeys: any[]) {
  parentKeys.push(id);
  const pid = arr.find((item) => item.id === id)?.pid;
  if (pid) treeParentKeys(arr, pid, parentKeys);
}

export function textToJson(text?: any) {
  if (text) {
    try {
      return JSON.parse(text);
    } catch (error) {
      console.error('text parse json error', error);
    }
  }
  return undefined;
}

export function JsonToText(json?: any) {
  if (json) {
    try {
      return JSON.stringify(json);
    } catch (error) {
      console.error('json stringify text error', error);
    }
  }
  return undefined;
}
